#include "entity.h"

namespace pabloader {
Entity::Entity(Debuggers* game)
{
    xv = 0;
    yv = 0;
    Entity::game = game;
}

bool Entity::Collides(Entity* entity)
{
    bool collidesX = (x - w / 2 < entity->x + entity->w / 2) && (entity->x - entity->w / 2 < x + w / 2);
    bool collidesY = (y - h / 2 < entity->y + entity->h / 2) && (entity->y - entity->h / 2 < y + h / 2);
    return collidesX && collidesY;
}

}